.connection .section-wrapper {
	flex-direction: column;
}

.steps-container {
	display: flex;
	flex-direction: column;
	gap: 20px;
	max-width: 800px;
	width: 100%;
	position: relative;
}

/* Вертикальная линия между шагами */
.steps-container::before {
	content: '';
	position: absolute;
	top: 50px;
	bottom: 50px;
	left: calc(50% - 1px);
	width: 2px;
	background: linear-gradient(to bottom, #ffffff, #ffffff);
	z-index: 0;
	box-shadow: 0 0 20px rgba(157, 78, 221, 0.5);
}

.step {
	display: flex;
	flex-direction: row-reverse;
	align-items: flex-start;
	margin-right: auto;
	margin-left: 0;
	gap: 30px;
	height: 100px;
	position: relative;
	z-index: 1;
}

.step:nth-child(2n) {
	flex-direction: row;
	justify-content: flex-end;
	margin-left: auto;
	margin-right: 0;
}

.step:nth-child(2n) .step-content {
	text-align: left;
}

.step-number {
	width: 60px;
	height: 60px;
	background: var(--green-gradient);
	border-radius: 50%;
	border: 1px solid var(--green-dark);
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 24px;
	font-weight: bold;
	color: var(--white);
	flex-shrink: 0;
	box-shadow: 0 0 20px rgb(78 221 119 / 50%);
}

.step-content {
	flex: 1;
	padding-top: 5px;
	text-align: right;
	width: 340px;
	height: fit-content;
}

.step-title {
	font-size: 20px;
	font-weight: 600;
	margin: 0 0 8px 0;
	color: var(--green-main);
}

.step-text {
	font-size: 16px;
	line-height: 1.5;
	margin: 0;
}

.step-text a {
	color: var(--green-main);
	text-decoration: underline;
}

/* Специфичные стили для отдельных шагов */
.step:nth-child(1) .step-title {
	margin-top: 8px;
}

.step:nth-child(3) .step-title {
	margin-top: 12px;
}

@media screen and (max-width: 1024px) {
	.step {
		flex-direction: row;
		gap: 20px;
		margin-left: 0;
		height: auto;
	}

	.step-number {
		width: 50px;
		height: 50px;
		font-size: 20px;
	}

	.steps-container::before {
		left: 24px;
	}

	.step:nth-child(2n) {
		flex-direction: row;
		justify-content: flex-start;
		margin-left: 0;
		margin-right: 0;
	}

	.step:nth-child(2n) .step-content,
	.step-content {
		text-align: left;
		width: 260px;
	}

	.step:nth-child(1) .step-title {
		margin-top: 0;
	}

	.step:nth-child(3) .step-title {
		margin-top: 0;
	}
}
@media screen and (max-width: 425px) {
	.steps-container::before {
		    bottom: 80px;
	}
}